SoTriggerAny(3IV)

NAME
SoTriggerAny — provides fan-in for triggers

INHERITS FROM
SoBase > SoFieldContainer > SoEngine > SoTriggerAny

SYNOPSIS
#include <Inventor/engines/SoSoTriggerAny.h>

Inputs from class SoTriggerAny:

SoSFTrigger
input0
SoSFTrigger
input1
SoSFTrigger
input2
SoSFTrigger
input3
SoSFTrigger
input4
SoSFTrigger
input5
SoSFTrigger
input6
SoSFTrigger
input7
SoSFTrigger
input8
SoSFTrigger
input9

Outputs from class SoTriggerAny:

(SoSFTrigger)
output

Methods from class SoTriggerAny:

SoTriggerAny()

Methods from class SoEngine:

static SoType
getClassTypeId()
virtual int
getOutputs(SoEngineOutputList &list) const
SoEngineOutput *
getOutput(const SbName &outputName) const
SbBool
getOutputName(const SoEngineOutput *output, SbName &outputName) const
SoEngine *
copy() const
static SoEngine *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoEngineList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This engine takes up to 10 input triggers, and produces one trigger output. The output is triggered whenever one of the inputs is touched.

INPUTS
SoSFTrigger
input0
SoSFTrigger
input1
SoSFTrigger
input2
SoSFTrigger
input3
SoSFTrigger
input4
SoSFTrigger
input5
SoSFTrigger
input6
SoSFTrigger
input7
SoSFTrigger
input8
SoSFTrigger
input9

OUTPUTS
(SoSFTrigger)
output
Triggered when any of the inputs is touched.

METHODS

SoTriggerAny()
Constructor

FILE FORMAT/DEFAULTS
TriggerAny {
input0
input1
input2
input3
input4
input5
input6
input7
input8
input9
}

SEE ALSO
SoEngineOutput, SoSFTrigger